"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.signRequestOKX = void 0;
const node_crypto_1 = require("node:crypto");
function signRequestOKX(config, data) {
    const isoTimestamp = new Date().toISOString();
    config.headers['OK-ACCESS-TIMESTAMP'] = isoTimestamp;
    config.headers['OK-ACCESS-KEY'] = data.key;
    config.headers['OK-ACCESS-PASSPHRASE'] = data.passhprase;
    config.headers['OK-ACCESS-SIGN'] = (0, node_crypto_1.createHmac)('sha256', data.secret)
        .update(`${isoTimestamp}${config.method.toUpperCase()}${config.url}${config.data
        ? JSON.stringify(config.data)
        : config.params && Object.keys(config.params).length
            ? `?${new URLSearchParams(config.params).toString()}`
            : ''}`)
        .digest('base64');
    return config;
}
exports.signRequestOKX = signRequestOKX;
